<?php
class Karen_Widget_Twitter extends WP_Widget {
	/** constructor */
	public function __construct() {
		$widget_ops = array('classname' => 'widget-twitter', 'description' => __( "Twitter Feed.", 'karen') );
		parent::__construct('karen-twitter', __('Karen - Twitter', 'karen'), $widget_ops);
		$this->alt_option_name = 'widget_twitter';
	}
	
	function widget($args, $instance) {		
	extract( $args );
		$default = array ( 'widget_title'=>__('Latest Tweet', 'karen'), 'id'=>'', 'qty'=>5 );
		$instance = wp_parse_args($instance, $default);			
		$widget_title = apply_filters('widget_title', $instance['widget_title']);
		$id = $instance['id'];
		$qty = $instance['qty'];
		// WIDGET OUTPUT
		echo $before_widget;
		if(!empty($widget_title)){ echo $before_title . $widget_title . $after_title; }
		if ( function_exists('getTweets') ){
			$tweets = getTweets( $id, $qty);

			if (empty($tweets['errors']) ){
				echo '<div class="twitter-update-list">';
				
				foreach( $tweets as $tweet ){
					$text = $this->autolink($tweet['text']);
					$text = preg_replace('/(^|\s)@(\w+)/', '\1@<a href="http://www.twitter.com/\2">\2</a>', $text);
					$text = preg_replace('/(^|\s)#(\w+)/', '\1#<a href="http://search.twitter.com/search?q=%23\2">\2</a>', $text);
					echo ('<div class="tweet"><div class="tweet-meta"><a href="http://twitter.com/'. $id . '/statuses/' . $tweet['id_str'] . '">' .  $this->relative_time(strtotime($tweet['created_at'])) . '</a></div><p class="icon-twitter">' . $text . '</p></div>');
	
				}
				echo '</div>';
			}else{
				echo '<ul id="twitter_update_list"><li>' . __('Cannot fetch tweets', 'karen') . '</li></ul>';
			}
		}
		?>
		<div id="twitter-account">
			<?php if (isset($tweets[0]['user']['profile_image_url'])) : ?>
        	<a  rel="nofollow" href="<?php echo 'http://www.twitter.com/'.  $id ?>/">
        		<img src="<?php echo $tweets[0]['user']['profile_image_url']; ?>" alt="Twitter Profile Picture"  />
        	</a>
        <?php endif; ?>
			<span class="entry-meta"><?php _e('Follow', 'karen'); ?></span>
			@<a  rel="nofollow" href="<?php echo 'http://www.twitter.com/'.  $id ?>/"><?php echo $id ?></a>
		</div>
		<?php
		echo $after_widget;		
	}

	function update($new_instance, $old_instance) {				
		$instance = $old_instance;
		$instance['widget_title'] = sanitize_text_field( $new_instance['widget_title'] );
		$instance['id'] = sanitize_text_field( $new_instance['id'] );
		$instance['qty'] = (int) $new_instance['qty'];

		return $instance;
	}

	function form($instance) {	
		$default = array ( 'widget_title'=>__('Latest Tweet', 'karen'), 'id'=>'', 'qty'=>5 );
		$instance = wp_parse_args($instance, $default);			
		$widget_title = $instance['widget_title'];
		$id = $instance['id'];
		$qty = $instance['qty'];
	?>
		<p>
			Widget title:
			<input class="widefat" type="text" name="<?php echo $this->get_field_name('widget_title'); ?>" value="<?php echo $widget_title; ?>" />
		</p>
		<p>
			Enter ID of your twitter account
			<input class="widefat" type="text" name="<?php echo $this->get_field_name('id'); ?>" value="<?php echo $id; ?>" />
		</p>
		<p>
			Number of tweets
			<input class="widefat" type="text" name="<?php echo $this->get_field_name('qty'); ?>" value="<?php echo $qty; ?>" />
		</p>

	<?php
	}

	/*
	 * Function relative time
	 *
	 */
	function relative_time($time = false, $limit = 86400, $format = 'g:i A M jS') {
		if (empty($time) || (!is_string($time) && !is_numeric($time))) $time = time();
		elseif (is_string($time)) $time = strtotime($time);

		$now = time();
		$relative = '';

		if ($time === $now) $relative = __('now', 'karen');
		elseif ($time > $now) $relative = __('in the future', 'karen');
		else {
			$diff = $now - $time;

			if ($diff < 60) {
				$relative = __('less than one minute ago', 'karen');
			} elseif (($minutes = ceil($diff/60)) < 60) {
				$relative = $minutes.' Minute'.(((int)$minutes === 1) ? '' : 's').' ago';
			} elseif ( $diff < (24*60*60) ){
				$hours = ceil($diff/3600);
				$relative = $hours.' Hour'.(((int)$hours === 1) ? '' : 's').' ago';
			}elseif ( $diff < (48*60*60) ){
				$hours = ceil($diff/3600);
				$relative = __('1 Day ago', 'karen');
			}else{
				$relative = ceil($diff / 86400) . ' Days ago';
			}
		}

		return $relative;
	}

	function autolink($str, $attributes=array()) {
		$attrs = '';
		foreach ($attributes as $attribute => $value) {
			$attrs .= " {$attribute}=\"{$value}\"";
		}

		$str = ' ' . $str;
		$str = preg_replace(
			'`([^"=\'>])((http|https|ftp)://[^\s<]+[^\s<\.)])`i',
			'$1<a href="$2"'.$attrs.'>$2</a>',
			$str
		);
		$str = substr($str, 1);
		
		return $str;
	}

	
}

add_action('widgets_init', create_function('', 'return register_widget("Karen_Widget_Twitter");'));

?>